Bug 875851 - sysdb upgrade failed converting db to 0.11
sysdb upgrade failed converting db to 0.11
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: Regression
Depends On:
Blocks: 881827
  Show dependency treegraph
 
Reported: 2012-11-12 11:52 EST by Jakub Hrozek
Modified: 2013-02-21 04:40 EST (History)
4 users (show)

See Also:
Fixed In Version: sssd-1.9.2-15.el6
Doc Type: Bug Fix
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:40:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2012-11-12 11:52:01 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1631

See this thread on sssd-users:
https://lists.fedorahosted.org/pipermail/sssd-users/2012-November/000272.html

It seems we have a bug in the ghost users upgrade code. The only captured debug logs were:
{{{
(Thu Nov  8 16:10:57 2012) [sssd] [sysdb_upgrade_10] (0x0020): UPGRADING DB TO VERSION 0.11
(Thu Nov  8 16:10:57 2012) [sssd] [sysdb_error_to_errno] (0x0020): LDB returned unexpected error: [No such attribute]
}}}
Comment 1 Jakub Hrozek 2012-11-12 11:54:02 EST
Steps to reproduce:

1. Add a nested group hierarchy to the SSSD 1.8
2. Upgrade to 1.9
3. service sssd start

I'm marking this as a Regression because SSSD fails to start without wiping out the cache after upgrade to 1.9

Credits for finding this issue go to Ondrej Valousek.
Comment 4 Kaushik Banerjee 2012-11-28 11:53:26 EST
Verified with version sssd-1.9.2-24.el6.x86_64

The following testing steps were followed:
1. Setup sssd(1.8.0-32) on 6.3

2. Lookup a user belonging to a nested group

3. Upgrade to 6.4 (only "yum upgrade sssd") to version 1.9.2-24

4. User and group lookups work fine.


The relevant parts of sssd.log related to sysdb upgrade:

(Wed Nov 28 21:56:28 2012) [sssd] [sysdb_domain_init_internal] (0x0100): Upgrading DB [AD] from version: 0.10
(Wed Nov 28 21:56:28 2012) [sssd] [commence_upgrade] (0x0020): UPGRADING DB TO VERSION 0.11
(Wed Nov 28 21:56:28 2012) [sssd] [ldb] (0x4000): start ldb transaction (nesting: 0)
...
...
(Wed Nov 28 21:56:28 2012) [sssd] [commence_upgrade] (0x0020): UPGRADING DB TO VERSION 0.12
(Wed Nov 28 21:56:28 2012) [sssd] [ldb] (0x4000): start ldb transaction (nesting: 0)
...
...
(Wed Nov 28 21:56:28 2012) [sssd] [sysdb_upgrade_11] (0x1000): Found 0 autofs entries
(Wed Nov 28 21:56:28 2012) [sssd] [ldb] (0x4000): start ldb transaction (nesting: 1)
...
...
(Wed Nov 28 21:56:28 2012) [sssd] [commence_upgrade] (0x0020): UPGRADING DB TO VERSION 0.13
(Wed Nov 28 21:56:28 2012) [sssd] [ldb] (0x4000): start ldb transaction (nesting: 0)
(Wed Nov 28 21:56:28 2012) [sssd] [ldb] (0x4000): start ldb transaction (nesting: 1)
...
...
(Wed Nov 28 21:56:28 2012) [sssd] [commence_upgrade] (0x0020): UPGRADING DB TO VERSION 0.14
(Wed Nov 28 21:56:28 2012) [sssd] [ldb] (0x4000): start ldb transaction (nesting: 0)
Comment 5 errata-xmlrpc 2013-02-21 04:40:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.